package com.persagy.dmp.rwd.edit.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.edit.entity.RwdeditRefTypeInfos;
import com.persagy.dmp.rwd.edit.service.RwdeditRefTypeInfosService;
import com.persagy.dmp.rwd.model.RwdeditRefTypeInfosModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/rwdedit/ref/type/infos")
public class RwdeditRefTypeInfoController {

    @Autowired
    private RwdeditRefTypeInfosService service;

    @PostMapping("/query")
    public PagedResponse<RwdeditRefTypeInfosModel> query(@RequestBody JacksonCriteria criteria) {
        return service.query(criteria);
    }

    @PostMapping("/create")
    public MapResponse create(@RequestBody RwdeditRefTypeInfos params) {
        return service.create(params);
    }

    @PostMapping("/update")
    public MapResponse update(@RequestBody RwdeditRefTypeInfos params) {
        return service.update(params);
    }

    @PostMapping("/delete")
    public MapResponse delete(@RequestBody RwdeditRefTypeInfos params) {
        return service.delete(params);
    }
}
